%kmdl ipw2100

Summary: Intel® PRO/Wireless 2100 Driver for Linux.
Name: ipw2100
Version: 0.54
Release: 19.1.2.0.1%{?dist}
License: GPL2
Group: System Environment/Kernel
URL: http://ipw2100.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/ipw2100/%{name}-%{version}.tgz
Patch0: ipw2100-0.54-debugtypo.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%kmdl_parentdependencies

%description
This project was created by Intel to enable support for the Intel
PRO/Wireless 2100 Network Connection mini PCI adapter.

%package -n %kmdl_name
%kmdl_dependencies
Summary: Kernel module for the Intel® PRO/Wireless 2100.
Group: System Environment/Kernel
Requires: ipw2100-firmware >= 1.2

%description -n %kmdl_name
This package contains kernel drivers for the Intel® PRO/Wireless 2100.

%kmdl_desc

%prep
%setup -q
%patch0 -p1
perl -pi -e's,# CONFIG_IPW2100_LEGACY_FW_LOAD=y,CONFIG_IPW2100_LEGACY_FW_LOAD=y,' Makefile
perl -pi -e's,/sbin/depmod,:,g' Makefile

%build

%if %{kmdl_userland}
%else

%kmdl_config
make KSRC=%{kmdl_kernelsrcdir}

%endif

%install
rm -rf %{buildroot}

%if %{kmdl_userland}
mkdir -p %{buildroot}%{_sbindir}
install -p ipwinfo %{buildroot}%{_sbindir}/
%else

mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/net/wireless/ipw2100
make KSRC=%{kmdl_kernelsrcdir} KMISC=%{buildroot}%{kmdl_moduledir}/drivers/net/wireless/ipw2100 install

%endif


%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc README* LICENSE ISSUES
%{_sbindir}/

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}/drivers/net/wireless/ipw2100/*

%endif


%changelog
* Sat Jun 14 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.54-19.1.2.0.1
- Fix not utf-8 specfile entries.

* Thu Sep  2 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.54.

* Thu Aug 19 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.53.

* Wed Aug 18 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.52.

* Wed Jul 28 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.51.

* Wed Jul 21 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.50.

* Fri Jul  9 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.49.

* Thu Jul  8 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.48.

* Wed Jul  7 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Added scanfix patch.

* Sat Jul  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.47.

* Tue Jun  8 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.46_3.

* Fri May 21 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.45.

* Tue May 11 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.44.

* Sat May  8 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.


